Knox Docs Sign in

API reference

Test mode. Use your secret key on your server; live processing is currently disabled.

https://api.knoxapi.com

Send form-encoded requests with Authorization: Bearer sk_test_....

Complete OpenAPI specification · Integration guide

Operations and schemas are based on the pinned Stripe OpenAPI specification (MIT). Nested object definitions and enums are available in the complete specification.

POST /v1/tokens

Create a bank account token

Creates a single-use token that represents a bank account’s details. You can use this token with any v1 API method in place of a bank account dictionary. You can only use this token once. To do so, attach it to a connected account where controller.requirement_collection is application, which includes Custom accounts.

Request parameters

FieldTypeDescription
accountobjectInformation for the account this token represents.
bank_accountobjectThe bank account this token will represent.
cardone of multiple schemasThe card this token will represent. If you also pass in a customer, the card must be the ID of a card belonging to the customer. Otherwise, if you do not pass in a customer, this is a dictionary containing a user's credit card details, with the options described below.
customerstringCreate a token for the customer, which is owned by the application's account. You can only use this with an [OAuth access token](https://docs.stripe.com/connect/standard-accounts) or [Stripe-Account header](https://docs.stripe.com/connect/authentication). Learn more about [cloning saved payment methods](https://docs.stripe.com/connect/cloning-saved-payment-methods).
cvc_updateobjectThe updated CVC value this token represents.
expandarray of stringSpecifies which fields in the response should be expanded.
personobjectInformation for the person this token represents.
piiobjectThe PII this token represents.

Responses

HTTP 200: Successful response.
FieldTypeDescription
bank_accountbank_account
cardcard
client_ipstringIP address of the client that generates the token.
created requiredintegerTime at which the object was created. Measured in seconds since the Unix epoch.
id requiredstringUnique identifier for the object.
livemode requiredbooleanIf the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`.
object requiredstringString representing the object's type. Objects of the same type share the same value.
type requiredstringType of the token: `account`, `bank_account`, `card`, or `pii`.
used requiredbooleanDetermines if you have already used this token (you can only use tokens once).
HTTP default: Error response.
FieldTypeDescription
error requiredapi_errors
GET /v1/tokens/{token}

Retrieve a token

Retrieves the token with the given ID.

Request parameters

ParameterLocationTypeDescription
expandqueryarray of stringSpecifies which fields in the response should be expanded.
tokenpathstring

object. See the OpenAPI specification for the complete schema.

Responses

HTTP 200: Successful response.
FieldTypeDescription
bank_accountbank_account
cardcard
client_ipstringIP address of the client that generates the token.
created requiredintegerTime at which the object was created. Measured in seconds since the Unix epoch.
id requiredstringUnique identifier for the object.
livemode requiredbooleanIf the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`.
object requiredstringString representing the object's type. Objects of the same type share the same value.
type requiredstringType of the token: `account`, `bank_account`, `card`, or `pii`.
used requiredbooleanDetermines if you have already used this token (you can only use tokens once).
HTTP default: Error response.
FieldTypeDescription
error requiredapi_errors